Modify

Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#14071 closed defect (fixed)

TL-WDR3600 AP(WDS) mode

Reported by: shawn.hu1818@… Owned by: developers
Priority: highest Milestone: Barrier Breaker 14.07
Component: kernel Version: Attitude Adjustment 12.09
Keywords: Cc:

Description

[ 0.000000] Linux version 3.3.8 (blogic@Debian-60-squeeze-64-minimal) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #1 Sat Mar 23 16:49:30 UTC 2013
[ 0.000000] MyLoader: sysp=b3a3d853, boardp=492118fc, parts=f35d1cdf
[ 0.000000] bootconsole [early0] enabled
[ 0.000000] CPU revision is: 0001974c (MIPS 74Kc)
[ 0.000000] SoC: Atheros AR9344 rev 2
[ 0.000000] Clocks: CPU:560.000MHz, DDR:450.000MHz, AHB:225.000MHz, Ref:40.000MHz
[ 0.000000] Determined physical RAM map:
[ 0.000000] memory: 08000000 @ 00000000 (usable)
[ 0.000000] Initrd not found or empty - disabling initrd
[ 0.000000] Zone PFN ranges:
[ 0.000000] Normal 0x00000000 -> 0x00008000
[ 0.000000] Movable zone start PFN for each node
[ 0.000000] Early memory PFN ranges
[ 0.000000] 0: 0x00000000 -> 0x00008000
[ 0.000000] On node 0 totalpages: 32768
[ 0.000000] free_area_init_node: node 0, pgdat 802f1100, node_mem_map 81000000
[ 0.000000] Normal zone: 256 pages used for memmap
[ 0.000000] Normal zone: 0 pages reserved
[ 0.000000] Normal zone: 32512 pages, LIFO batch:7
[ 0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[ 0.000000] pcpu-alloc: [0] 0
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 32512
[ 0.000000] Kernel command line: board=TL-WDR4300 console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[ 0.000000] PID hash table entries: 512 (order: -1, 2048 bytes)
[ 0.000000] Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
[ 0.000000] Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
[ 0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[ 0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[ 0.000000] Writing ErrCtl register=00000000
[ 0.000000] Readback ErrCtl register=00000000
[ 0.000000] Memory: 126464k/131072k available (2211k kernel code, 4608k reserved, 418k data, 212k init, 0k highmem)
[ 0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.000000] NR_IRQS:51
[ 0.000000] Calibrating delay loop... 278.93 BogoMIPS (lpj=1394688)
[ 0.070000] pid_max: default: 32768 minimum: 301
[ 0.070000] Mount-cache hash table entries: 512
[ 0.080000] NET: Registered protocol family 16
[ 0.080000] gpiochip_add: registered GPIOs 0 to 22 on device: ath79
[ 0.090000] MIPS: machine is TP-LINK TL-WDR3600/4300/4310
[ 0.090000] registering PCI controller with io_map_base unset
[ 0.310000] bio: create slab <bio-0> at 0
[ 0.310000] PCI host bridge to bus 0000:00
[ 0.320000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x13ffffff]
[ 0.320000] pci_bus 0000:00: root bus resource [io 0x0000]
[ 0.330000] pci 0000:00:00.0: [168c:0033] type 0 class 0x000280
[ 0.330000] pci 0000:00:00.0: invalid calibration data
[ 0.330000] pci 0000:00:00.0: reg 10: [mem 0x00000000-0x0001ffff 64bit]
[ 0.330000] pci 0000:00:00.0: reg 30: [mem 0x00000000-0x0000ffff pref]
[ 0.330000] pci 0000:00:00.0: supports D1
[ 0.330000] pci 0000:00:00.0: PME# supported from D0 D1 D3hot
[ 0.330000] pci 0000:00:00.0: BAR 0: assigned [mem 0x10000000-0x1001ffff 64bit]
[ 0.340000] pci 0000:00:00.0: BAR 6: assigned [mem 0x10020000-0x1002ffff pref]
[ 0.340000] pci 0000:00:00.0: using irq 40 for pin 1
[ 0.350000] Switching to clocksource MIPS
[ 0.350000] NET: Registered protocol family 2
[ 0.360000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[ 0.360000] TCP established hash table entries: 4096 (order: 3, 32768 bytes)
[ 0.370000] TCP bind hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.370000] TCP: Hash tables configured (established 4096 bind 4096)
[ 0.380000] TCP reno registered
[ 0.380000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[ 0.390000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[ 0.390000] NET: Registered protocol family 1
[ 0.400000] PCI: CLS 0 bytes, default 32
[ 0.410000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 0.420000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[ 0.430000] msgmni has been set to 247
[ 0.430000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 254)
[ 0.440000] io scheduler noop registered
[ 0.440000] io scheduler deadline registered (default)
[ 0.450000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[ 0.480000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[ 0.490000] console [ttyS0] enabled, bootconsole disabled
[ 0.500000] m25p80 spi0.0: found en25q64, expected m25p80
[ 0.510000] m25p80 spi0.0: en25q64 (8192 Kbytes)
[ 0.510000] 5 tp-link partitions found on MTD device spi0.0
[ 0.520000] Creating 5 MTD partitions on "spi0.0":
[ 0.520000] 0x000000000000-0x000000020000 : "u-boot"
[ 0.530000] 0x000000020000-0x000000109d54 : "kernel"
[ 0.530000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.550000] 0x000000109d54-0x0000007f0000 : "rootfs"
[ 0.550000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.570000] mtd: partition "rootfs" set to be root filesystem
[ 0.570000] mtd: partition "rootfs_data" created automatically, ofs=2E0000, len=510000
[ 0.580000] 0x0000002e0000-0x0000007f0000 : "rootfs_data"
[ 0.590000] 0x0000007f0000-0x000000800000 : "art"
[ 0.590000] 0x000000020000-0x0000007f0000 : "firmware"
[ 0.730000] ag71xx_mdio: probed
[ 0.730000] eth0: Atheros AG71xx at 0xb9000000, irq 4
[ 1.310000] eth0: Atheros AR8327 switch driver attached.
[ 2.470000] ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.0:00 [uid=004dd033, driver=Atheros AR8216/AR8236/AR8316]
[ 2.490000] TCP cubic registered
[ 2.490000] NET: Registered protocol family 17
[ 2.490000] Bridge firewalling registered
[ 2.500000] 8021q: 802.1Q VLAN Support v1.8
[ 2.510000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[ 2.510000] Freeing unused kernel memory: 212k freed
[ 4.100000] Registered led device: tp-link:blue:qss
[ 4.100000] Registered led device: tp-link:blue:system
[ 4.100000] Registered led device: tp-link:green:usb1
[ 4.100000] Registered led device: tp-link:green:usb2
[ 4.100000] Registered led device: tp-link:blue:wlan2g
[ 5.470000] eth0: link up (1000Mbps/Full duplex)
[ 7.340000] JFFS2 notice: (480) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (0 unchecked, 0 orphan) and 23 of xref (0 dead, 13 orphan) found.
[ 7.500000] eth0: link down
[ 8.800000] Compat-drivers backport release: compat-drivers-2012-09-04-2-gddac993
[ 8.810000] Backport based on wireless-testing.git master-2012-09-07
[ 8.810000] compat.git: wireless-testing.git
[ 8.840000] cfg80211: Calling CRDA to update world regulatory domain
[ 8.870000] cfg80211: World regulatory domain updated:
[ 8.870000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 8.880000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 8.890000] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 8.890000] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 8.900000] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 8.910000] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 9.160000] usbcore: registered new interface driver usbfs
[ 9.160000] usbcore: registered new interface driver hub
[ 9.170000] usbcore: registered new device driver usb
[ 9.590000] ath: EEPROM regdomain: 0x0
[ 9.590000] ath: EEPROM indicates default country code should be used
[ 9.590000] ath: doing EEPROM country->regdmn map search
[ 9.590000] ath: country maps to regdmn code: 0x3a
[ 9.590000] ath: Country alpha2 being used: US
[ 9.590000] ath: Regpair used: 0x3a
[ 9.590000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[ 9.600000] Registered led device: ath9k-phy0
[ 9.600000] ieee80211 phy0: Atheros AR9340 Rev:0 mem=0xb8100000, irq=47
[ 9.600000] PCI: Enabling device 0000:00:00.0 (0000 -> 0002)
[ 9.610000] ath: EEPROM regdomain: 0x0
[ 9.610000] ath: EEPROM indicates default country code should be used
[ 9.610000] ath: doing EEPROM country->regdmn map search
[ 9.610000] ath: country maps to regdmn code: 0x3a
[ 9.610000] ath: Country alpha2 being used: US
[ 9.610000] ath: Regpair used: 0x3a
[ 9.620000] ieee80211 phy1: Selected rate control algorithm 'minstrel_ht'
[ 9.620000] Registered led device: ath9k-phy1
[ 9.620000] ieee80211 phy1: Atheros AR9300 Rev:4 mem=0xb0000000, irq=40
[ 9.630000] cfg80211: Calling CRDA for country: US
[ 9.630000] cfg80211: Regulatory domain changed to country: US
[ 9.640000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 9.640000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 9.650000] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[ 9.660000] cfg80211: (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 9.670000] cfg80211: (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 9.680000] cfg80211: (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 9.680000] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[ 9.720000] PPP generic driver version 2.4.2
[ 9.920000] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 10.090000] NET: Registered protocol family 24
[ 10.100000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 10.110000] ehci-platform ehci-platform: Generic Platform EHCI Controller
[ 10.120000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[ 10.150000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[ 10.170000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[ 10.170000] hub 1-0:1.0: USB hub found
[ 10.180000] hub 1-0:1.0: 1 port detected
[ 10.200000] nf_conntrack version 0.5.0 (1979 buckets, 7916 max)
[ 10.370000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 10.500000] usb 1-1: new high-speed USB device number 2 using ehci-platform
[ 10.650000] hub 1-1:1.0: USB hub found
[ 10.650000] hub 1-1:1.0: 4 ports detected
[ 13.300000] device eth0.1 entered promiscuous mode
[ 13.310000] device eth0 entered promiscuous mode
[ 13.320000] device eth0.2 entered promiscuous mode
[ 13.600000] eth0: link up (1000Mbps/Full duplex)
[ 13.640000] br-lan: port 1(eth0.1) entered forwarding state
[ 13.640000] br-lan: port 1(eth0.1) entered forwarding state
[ 13.650000] br-wan: port 1(eth0.2) entered forwarding state
[ 13.650000] br-wan: port 1(eth0.2) entered forwarding state
[ 15.640000] br-lan: port 1(eth0.1) entered forwarding state
[ 15.650000] br-wan: port 1(eth0.2) entered forwarding state
[ 19.540000] device wlan0 entered promiscuous mode
[ 19.800000] br-lan: port 2(wlan0) entered forwarding state
[ 19.800000] br-lan: port 2(wlan0) entered forwarding state
[ 21.800000] br-lan: port 2(wlan0) entered forwarding state
[ 23.140000] device wlan1 entered promiscuous mode
[ 23.390000] br-lan: port 3(wlan1) entered forwarding state
[ 23.390000] br-lan: port 3(wlan1) entered forwarding state
[ 25.390000] br-lan: port 3(wlan1) entered forwarding state
[ 27.550000] device wlan1.sta1 entered promiscuous mode
[ 27.550000] br-lan: port 4(wlan1.sta1) entered forwarding state
[ 27.560000] br-lan: port 4(wlan1.sta1) entered forwarding state
[ 29.560000] br-lan: port 4(wlan1.sta1) entered forwarding state
[ 33.520000] device wlan1.sta1 left promiscuous mode
[ 33.520000] br-lan: port 4(wlan1.sta1) entered disabled state
[ 39.830000] device wlan1.sta1 entered promiscuous mode
[ 39.830000] br-lan: port 4(wlan1.sta1) entered forwarding state
[ 39.840000] br-lan: port 4(wlan1.sta1) entered forwarding state
[ 41.840000] br-lan: port 4(wlan1.sta1) entered forwarding state
[ 1801.450000] irq 40: nobody cared (try booting with the "irqpoll" option)
[ 1801.450000] Call Trace:[<80284158>] 0x80284158
[ 1801.450000] [<80284158>] 0x80284158
[ 1801.450000] [<800a5f60>] 0x800a5f60
[ 1801.450000] [<800a627c>] 0x800a627c
[ 1801.450000] [<87064c68>] 0x87064c68
[ 1801.450000] [<800a4260>] 0x800a4260
[ 1801.450000] [<800a42dc>] 0x800a42dc
[ 1801.450000] [<800a6d70>] 0x800a6d70
[ 1801.450000] [<800a3a0c>] 0x800a3a0c
[ 1801.450000] [<800a4dfc>] 0x800a4dfc
[ 1801.450000] [<800a3a0c>] 0x800a3a0c
[ 1801.450000] [<800a4fc4>] 0x800a4fc4
[ 1801.450000] [<8006108c>] 0x8006108c
[ 1801.450000] [<800a3a0c>] 0x800a3a0c
[ 1801.450000] [<80165ac4>] 0x80165ac4
[ 1801.450000] [<80064ac8>] 0x80064ac8
[ 1801.450000] [<800630ec>] 0x800630ec
[ 1801.450000] [<8006a0c0>] 0x8006a0c0
[ 1801.450000] [<80077248>] 0x80077248
[ 1801.450000] [<800a4f30>] 0x800a4f30
[ 1801.450000] [<80076ff0>] 0x80076ff0
[ 1801.450000] [<80077248>] 0x80077248
[ 1801.450000] [<8007747c>] 0x8007747c
[ 1801.450000] [<800630ec>] 0x800630ec
[ 1801.450000] [<8008df5c>] 0x8008df5c
[ 1801.450000] [<80095320>] 0x80095320
[ 1801.450000] [<800e8458>] 0x800e8458
[ 1801.450000] [<800e825c>] 0x800e825c
[ 1801.450000] [<8709e2f0>] 0x8709e2f0
[ 1801.450000] [<801e1fa0>] 0x801e1fa0
[ 1801.450000] [<800e7cc4>] 0x800e7cc4
[ 1801.450000] [<800e7de4>] 0x800e7de4
[ 1801.450000] [<800e7de4>] 0x800e7de4
[ 1801.450000] [<800e7de4>] 0x800e7de4
[ 1801.450000] [<800e7de4>] 0x800e7de4
[ 1801.450000] [<800e7de4>] 0x800e7de4
[ 1801.450000] [<800e7de4>] 0x800e7de4
[ 1801.450000] [<800e7de4>] 0x800e7de4
[ 1801.450000] [<8020c04c>] 0x8020c04c
[ 1801.450000] [<8020d080>] 0x8020d080
[ 1801.450000] [<8020c67c>] 0x8020c67c
[ 1801.450000] [<80092924>] 0x80092924
[ 1801.450000] [<800d4240>] 0x800d4240
[ 1801.450000] [<8020bfb0>] 0x8020bfb0
[ 1801.450000] [<80091c9c>] 0x80091c9c
[ 1801.450000] [<801e61b0>] 0x801e61b0
[ 1801.450000] [<8020a468>] 0x8020a468
[ 1801.450000] [<80091c9c>] 0x80091c9c
[ 1801.450000] [<801e61b0>] 0x801e61b0
[ 1801.450000] [<8020a468>] 0x8020a468
[ 1801.450000] [<800e86bc>] 0x800e86bc
[ 1801.450000] [<800e4768>] 0x800e4768
[ 1801.450000] [<800d7220>] 0x800d7220
[ 1801.450000] [<801dbae8>] 0x801dbae8
[ 1801.450000] [<801dbbec>] 0x801dbbec
[ 1801.450000] [<800e7fc8>] 0x800e7fc8
[ 1801.450000] [<800e8844>] 0x800e8844
[ 1801.450000] [<800d5944>] 0x800d5944
[ 1801.450000] [<800764f8>] 0x800764f8
[ 1801.450000] [<8006a204>] 0x8006a204
[ 1801.450000]
[ 1801.450000] handlers:
[ 1801.450000] [<87064bfc>] 0x87064bfc
[ 1801.450000] Disabling IRQ #40
[ 1801.710000] ath: phy1: Failed to stop TX DMA, queues=0x005!

Attachments (0)

Change History (2)

comment:1 Changed 4 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

fixed in 12.09 svn/git

comment:2 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.